MeasurementTemplateBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.MeasurementTemplateBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class MeasurementTemplateBean

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MeasurementTemplateBean

    public class MeasurementTemplateBean

extends java.lang.Object

Constructor Summary
`MeasurementTemplateBean()`

Method Summary
`java.lang.String` | `getAlias()`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getExpression()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `setAlias(java.lang.String s)`
`void` | `setCategory(java.lang.String s)`
`void` | `setExpression(java.lang.String s)`
`void` | `setName(java.lang.String s)`
`void` | `setType(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementTemplateBean

    public MeasurementTemplateBean()

Method Detail

### setName

    public void setName(java.lang.String s)

### getName

    public java.lang.String getName()

### setAlias

    public void setAlias(java.lang.String s)

### getAlias

    public java.lang.String getAlias()

### setType

    public void setType(java.lang.String s)

### getType

    public java.lang.String getType()

### setCategory

    public void setCategory(java.lang.String s)

### getCategory

    public java.lang.String getCategory()

### setExpression

    public void setExpression(java.lang.String s)

### getExpression

    public java.lang.String getExpression()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.